// stdafx.h : include file for standard system include files,
//      or project specific include files that are used frequently,
//      but are changed infrequently

#if !defined(AFX_STDAFX_H__E26685EB_3A58_4D4C_83F9_661C4257E4C2__INCLUDED_)
#define AFX_STDAFX_H__E26685EB_3A58_4D4C_83F9_661C4257E4C2__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#define STRICT
#ifndef _WIN32_WINNT
#define _WIN32_WINNT 0x0400
#endif
#define _ATL_APARTMENT_THREADED


#define ASSERT_AND_RETURN(hres)        {\
                                          ATLASSERT(SUCCEEDED(hres)); \
                                          if(FAILED(hres))            \
                                             return hres;             \
                                       }

#define ASSERT_AND_RETURN_BOOL(hres)    {\
                                          ATLASSERT(SUCCEEDED(hres));\
                                          if(FAILED(hres))           \
                                             return FALSE;           \
                                        }

#ifdef _DEBUG
#define ASSERT_AND_THROW(hres)          ATLASSERT(SUCCEEDED(hres));     
#else
#define ASSERT_AND_THROW(hres)          if(FAILED(hres))             \
                                        {                            \
                                          AfxThrowOleException(hres);\
                                        }
#endif //#ifdef _DEBUG

#ifdef _DEBUG
#define ASSERT_AND_THROW_BOOL(b)        ATLASSERT(b);     
#else
#define ASSERT_AND_THROW_BOOL(b)        if( ! (b) )                    \
                                        {                              \
                                          AfxThrowOleException(E_FAIL);\
                                        }
#endif
#include <afxwin.h>
#include <afxdisp.h>

#include <atlbase.h>
//You may derive a class from CComModule and use it if you want to override
//something, but do not change the name of _Module
extern CComModule _Module;
#include <atlcom.h>
#pragma warning( disable : 4310 4244)// Disable warning messages
#include <comdef.h>
#pragma warning( default : 4310 4244)

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_STDAFX_H__E26685EB_3A58_4D4C_83F9_661C4257E4C2__INCLUDED)
