// LogbookEventClass.h : Declaration of the CLogbookEventClass

#ifndef __LOGBOOKEVENTCLASS_H_
#define __LOGBOOKEVENTCLASS_H_

#include "resource.h"       // main symbols

/////////////////////////////////////////////////////////////////////////////
// CLogbookEventClass
class ATL_NO_VTABLE CLogbookEventClass : 
	public CComObjectRootEx<CComMultiThreadModel>,
	public CComCoClass<CLogbookEventClass, &CLSID_LogbookEventClass>,
	public ILogbook
{
public:
	CLogbookEventClass()
	{
	}

DECLARE_REGISTRY_RESOURCEID(IDR_LOGBOOKEVENTCLASS)

DECLARE_PROTECT_FINAL_CONSTRUCT()

BEGIN_COM_MAP(CLogbookEventClass)
	COM_INTERFACE_ENTRY(ILogbook)
END_COM_MAP()

// ILogbook
public:
   //ATLASSERT(0) since this class should never be called directly
   STDMETHOD(LogEvent) (LOG_ENTRY* ){ATLASSERT(0);return E_NOTIMPL;};
	STDMETHOD(LogMethod)(LOG_ENTRY* ){ATLASSERT(0);return E_NOTIMPL;};
	STDMETHOD(LogError) (LOG_ENTRY* ){ATLASSERT(0);return E_NOTIMPL;};

public:
};

#endif //__LOGBOOKEVENTCLASS_H_
