// EventSubs : Declaration of the CEventSubs

#ifndef __EVENTSUBSCRIPTION2_H_
#define __EVENTSUBSCRIPTION2_H_
     
#include "resource.h"       // main symbols
#include "ES2.h"

/////////////////////////////////////////////////////////////////////////////
// CEventSubs
class  CEventSubs : 
	public CComObjectRootEx<CComMultiThreadModel>,
	public CComCoClass<CEventSubs, &CLSID_EventSubs>,
	public ITransientSubscription
{
public:
	CEventSubs();
	~CEventSubs();
   HRESULT FinalConstruct();
   void FinalRelease();

   DECLARE_REGISTRY_RESOURCEID(IDR_EVENTSUBSCRIPTION2)

   DECLARE_PROTECT_FINAL_CONSTRUCT()

BEGIN_COM_MAP(CEventSubs)
	COM_INTERFACE_ENTRY(ITransientSubscription)
END_COM_MAP()

// IEventSubscription
public:
   STDMETHOD(Add)(LPCWSTR pwzName,CLSID clsidEventClass,REFIID iidInterface,IUnknown *pSink);
   STDMETHOD(Remove)(LPCWSTR pwzName);
};

#endif //__EVENTSUBSCRIPTION2_H_

/////////////////////////////////////////////////////////////////////////////
// CEventSubs

